Connect-X 3 cards on RHEL 5.3

Hello ,

I need to install Connect-X 3 cards on an HPZ800 system running RHEL 5.3, kernel 2.6.18-128.el5. Unfortunately I cannot update the kernel to a higher version due to application dependencies , hence wondering if there was a way to make these cards work.

I know that the workstation doesn’t use PCIe 3.0 and hence the performance might be slower, but the end user has already purchased these cards hence looking to make them work if possible, the idea is to connect them in 40Gig mode on an SX 1024.

Any suggestions would be greatly appreciated.

-Regards

Sachin

Hello Rian,

So I took the MLNX_OFED_LINUX-1.5.3-4.0.42-rhel5.5-x86_64.iso http://www.mellanox.com/page/mlnx_ofed_eula?mtag=linux_sw_drivers&mrequest=downloads&mtype=ofed&mver=MLNX_OFED-1.5.3-4.0.42&mname=MLNX_OFED_LINUX-1.5.3-4.0.42-rhel5.5-x86_64.tgz and used the mlnx_add_kernel_support.sh to create an iso for RHEL 5.3.

Seems to be working quite O.K for now.

Now the next step is to get good nfs performance through these cards on a server :-)

Thank you for your reply.

-Regards

Sachin

Hey,

I’ve looked it up, and I would recommend trying OFED 1.5.2, by the release notes it should support.

Can be found in openfabrics.org

If you want to read on that release:

OFED_1.5.2_release_notes http://www.openfabrics.org/downloads/OFED/release_notes/OFED_1.5.2_release_notes

Also a direct link:

Index of /downloads/OFED/ofed-1.5.2 http://www.openfabrics.org/downloads/OFED/ofed-1.5.2/

Let me know if that works for you

One more thing under the “Supported HCAs” section of the OFED 1.5.2 release notes, Connect-X IB is listed as a supported HCA but there is no explicit mention of Connect-X 3, will it still work ?